Package pygccxml :: Package declarations :: Module function_traits

# Module function_traits

source code

defines few algorithms, that deals with different properties of functions

Functions

is_same_return_type(f1, f2) | source code

is_same_function(f1, f2) returns true if f1 and f2 is same function | source code

Function Details

### is_same_function(f1, f2)

source code

returns true if f1 and f2 is same function

Use case: sometimes when user defines some virtual function in base class, it overrides it in a derived one. Sometimes we need to know whether two member functions is actualy same function.